hv_kvp_daemon and hv_vss_daemon are missing from linux-tools

Bug #1233376 reported by Ben Howard on 2013-09-30
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
hv-kvp-daemon-init (Ubuntu)
Undecided
Unassigned
Saucy
Undecided
Unassigned
linux (Ubuntu)
High
Andy Whitcroft
Saucy
High
Andy Whitcroft

Bug Description

ver=$(uname -r)
/sbin/hv_kvp_daemon_${ver$-*} is missing from linux-tools on 13.10.
---
AlsaDevices:
 total 0
 crw-rw---- 1 root audio 116, 1 Sep 30 18:18 seq
 crw-rw---- 1 root audio 116, 33 Sep 30 18:18 timer
AplayDevices: Error: [Errno 2] No such file or directory
ApportVersion: 2.12.5-0ubuntu1
Architecture: amd64
ArecordDevices: Error: [Errno 2] No such file or directory
AudioDevicesInUse: Error: command ['fuser', '-v', '/dev/snd/seq', '/dev/snd/timer'] failed with exit code 1:
CurrentDmesg:
 [ 1546.435641] systemd-udevd[2477]: starting version 204
 [ 8567.655927] init: hv-kvp-daemon-init main process (9295) terminated with status 2
DistroRelease: Ubuntu 13.10
IwConfig:
 eth0 no wireless extensions.

 lo no wireless extensions.
Lsusb: Error: command ['lsusb'] failed with exit code 1: unable to initialize libusb: -99
MachineType: Microsoft Corporation Virtual Machine
MarkForUpload: True
Package: linux-tools 3.11.0.9.11
PackageArchitecture: amd64
PciMultimedia:

ProcFB: 0 hyperv_fb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.11.0-9-generic root=UUID=3343792a-da3d-4534-aa85-a0b1bcd70ffe ro console=tty1 console=ttyS0 earlyprintk=ttyS0 rootdelay=300
ProcVersionSignature: Ubuntu 3.11.0-9.16-generic 3.11.2
RelatedPackageVersions:
 linux-restricted-modules-3.11.0-9-generic N/A
 linux-backports-modules-3.11.0-9-generic N/A
 linux-firmware 1.115
RfKill: Error: [Errno 2] No such file or directory
Tags: saucy uec-images
Uname: Linux 3.11.0-9-generic x86_64
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups:

dmi.bios.date: 05/23/2012
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: 090006
dmi.board.name: Virtual Machine
dmi.board.vendor: Microsoft Corporation
dmi.board.version: 7.0
dmi.chassis.asset.tag: 4426-8856-8314-6101-2634-9501-21
dmi.chassis.type: 3
dmi.chassis.vendor: Microsoft Corporation
dmi.chassis.version: 7.0
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvr090006:bd05/23/2012:svnMicrosoftCorporation:pnVirtualMachine:pvr7.0:rvnMicrosoftCorporation:rnVirtualMachine:rvr7.0:cvnMicrosoftCorporation:ct3:cvr7.0:
dmi.product.name: Virtual Machine
dmi.product.version: 7.0
dmi.sys.vendor: Microsoft Corporation

CVE References

apport information

affects: ubuntu → linux-meta (Ubuntu)
tags: added: apport-collected saucy uec-images
description: updated

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

Brad Figg (brad-figg) on 2013-09-30
affects: linux-meta (Ubuntu) → linux (Ubuntu)
Tim Gardner (timg-tpi) on 2013-09-30
Changed in linux (Ubuntu Saucy):
assignee: nobody → Tim Gardner (timg-tpi)
status: New → In Progress
summary: - hv_kvp_daemon is missing from linux-extras
+ hv_kvp_daemon is missing from linux-tools

It appears that both hv_kvp_daemon and hv_vss_daemon are absent from /usr/sbin . It is likely that due to this the daemons are not auto loading upon installation. Please include init startup scripts for both daemons.

Abhishek Gupta (abgupta) wrote :

Daemons seem to be there under /usr/lib/linux-tools-3.11.0-9/ but no loading scripts present under /usr/sbin.

summary: - hv_kvp_daemon is missing from linux-tools
+ hv_kvp_daemon and hv_vss_daemon are missing from linux-tools
Tim Gardner (timg-tpi) on 2013-09-30
Changed in linux (Ubuntu Saucy):
assignee: Tim Gardner (timg-tpi) → Andy Whitcroft (apw)
Andy Whitcroft (apw) wrote :

Ok this is caused by the common package being and _all package, but this being built during the i386 build.

Andy Whitcroft (apw) on 2013-10-01
Changed in linux (Ubuntu Saucy):
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 3.11.0-11.17

---------------
linux (3.11.0-11.17) saucy; urgency=low

  [ Andy Whitcroft ]

  * [Packaging] tools -- only build common tools package in master
  * SAUCE: tools -- report when tool is not available
    - LP: #1233376
  * [Packaging] tools -- common tools must carry all possible tools
    - LP: #1233376

  [ Colin Ian King ]

  * [Config] Fix power and performance regression
    - LP: #1233681

  [ Colin Watson ]

  * [Config] Clean up various udeb Provides

  [ Tim Gardner ]

  * rebase to v3.11.3
  * Release tracker
    - LP: #1233808

  [ Upstream Kernel Changes ]

  * ALSA: hda - Add CS4208 codec support for MacBook 6,1 and 6,2
    - LP: #1233623
  * ALSA: hda - Add fixup for MacBook Air 6,1 and 6,2 with CS4208 codec
    - LP: #1233623
  * NVMe: Remove "process_cq did something" message
    - LP: #1233686
  * Drivers: hv: balloon: Initialize the transaction ID just before sending the packet
    - LP: #1233466
  * cciss: fix info leak in cciss_ioctl32_passthru()
    - LP: #1188355
    - CVE-2013-2147
  * cpqarray: fix info leak in ida_locked_ioctl()
    - LP: #1188355
    - CVE-2013-2147
  * Drivers: hv: util: Fix a bug in version negotiation code for util services
    - LP: #1233433
 -- Tim Gardner <email address hidden> Tue, 01 Oct 2013 07:24:27 -0600

Changed in linux (Ubuntu Saucy):
status: Fix Committed → Fix Released
Abhishek Gupta (abgupta) wrote :

Hi there! It seems that the daemons are now in /usr/sbin however there are no startup scripts to kickstart the daemons. Please is it possible for you to include the startup scripts in init.d so that the daemons are loaded at boot time? Please let me know.

Thanks,
Abhishek

James Page (james-page) wrote :

hv-kvp-daemon-init (0.3ubuntu6) saucy; urgency=low

  * Added vss init job
  * Use linux-tools packaged scripts for starting daemons
 -- Ben Howard <email address hidden> Fri, 04 Oct 2013 15:28:33 -0600

Changed in hv-kvp-daemon-init (Ubuntu Saucy):
status: New → Fix Released
assignee: nobody → Ben Howard (utlemming)
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers